- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::ScalarBar::TextProperties Struct Reference

TextProperties allows users to specify a number of properties for the text used to display the labels & title on the ScalarBar. More...

List of all members.

## Public Member Functions
| TextProperties ()
## Public Attributes
std::string | _fontFile
std::pair< int, int > | _fontResolution
float | _characterSize
osg::Vec4 | _color

## Detailed Description

TextProperties allows users to specify a number of properties for the text used to display the labels & title on the ScalarBar.

Specifiying a character size of 0 will cause the ScalarBar to estimate an appropriate size. Note that the attributes are public, and may be set directly.

## Constructor & Destructor Documentation

osgSim::ScalarBar::TextProperties::TextProperties | ( |  | ) | `[inline]`

## Member Data Documentation

float osgSim::ScalarBar::TextProperties::_characterSize

osg::Vec4 osgSim::ScalarBar::TextProperties::_color

std::string osgSim::ScalarBar::TextProperties::_fontFile

std::pair<int,int> osgSim::ScalarBar::TextProperties::_fontResolution

The documentation for this struct was generated from the following file:

- ScalarBar